Skip to main content
GET
Get token transfers

Path Parameters

ownerAddress
string
required
Example:

"vitalik.eth"

contract_address
string
required
Example:

"vitalik.eth"

Query Parameters

chain
number[]

Use chain_id instead

Example:
chain_id
number[]

The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain

Example:
limit
integer
default:20

The number of items to return

Required range: 0 < x <= 1000
Example:

20

page
integer | null
default:0

Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.

Required range: x >= 0
Example:

0

metadata
enum<string>
default:false

Whether to include metadata for the tokens

Available options:
true,
false
Example:

"false"

include_owners
enum<string>
default:false

Whether to include owner addresses in the NFT metadata (only if metadata is requested)

Available options:
true,
false
Example:

"false"

block_number_from

Filter by block number greater than or equal to

Example:

"1000000"

block_number_to

Filter by block number less than or equal to

Example:

"1000000"

block_timestamp_from
integer

Filter by block timestamp greater than or equal to

Required range: x > 0
Example:

1749768884

block_timestamp_to
integer

Filter by block timestamp less than or equal to

Required range: x > 0
Example:

1749768884

sort_order
enum<string>
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
Example:

"desc"

transfer_type
enum<string>

Only include transfers of a certain type

Available options:
mint,
transfer,
burn
Example:

"mint"

token_types
enum<string>[]

The types of tokens to include in the response. Can be an empty array to include all types

Available options:
erc1155,
erc721,
erc20

Response

Success

meta
object
required
data
object[]
aggregations
unknown